//////////////////////////////////////////////////////////
//								
//	Simple Program to Illustrate Layered Rendering		
//								
//		    Suryakant Patidar 'skp'			
//		 	skp@research.iiit.ac.in		
//			http://cvit.iiit.ac.in	
//
/////////////////////////////////////////////////////////

#version 120
#extension ARB_draw_buffers : require
#extension EXT_gpu_shader4 : require
#extension EXT_geometry_shader4 : require

void main() 
{
	//Route to Layer 0
	for (int i = 0; i < 3; i++) 
	{
		// You will recieve 3 positions since we set the input type to Triangles
		gl_Position = gl_PositionIn[i];	
		gl_FrontColor = vec4(1.0, 0.0, 0.0,1.0);
		gl_Layer = 0;
		EmitVertex();
	}
	EndPrimitive();

	//Route to Layer 1
	for (int i = 0; i < 3; i++) 
	{
		gl_Position = gl_PositionIn[i];
		//Just to see a difference in Layer 1
		gl_Position.xy = -gl_Position.xy;
		gl_FrontColor = vec4(0.0, 1.0, 0.0,1.0);
		gl_Layer = 1;
		EmitVertex();
	}
	EndPrimitive();
}
