//////////////////////////////////////////////////////////////////
//								
//	Simple Program to Illustrate Layered Rendering		
//								
//			    By :				
//		    Suryakant Patidar 'skp'			
//		 skp @ research . iiit . ac. in			
//////////////////////////////////////////////////////////////////


#version 120
#extension ARB_draw_buffers : require
#extension EXT_gpu_shader4 : require
#extension EXT_geometry_shader4 : require

void main() 
{
	//Using glOrtho hence the following is eqvivalent to ftransform
	gl_Position.xy = gl_Vertex.xy * 2.0 - 1.0;
	gl_Position.zw = vec2( 0.0, 1.0);
	
	//Will use these Texture Coords for asigning the viewport manually
	gl_TexCoord[0].x = gl_Vertex.x * 2.0 - 1.0;
	gl_TexCoord[0].y = gl_Vertex.y;
}
